<template>
    <div>
        <keep-alive>
            <component v-bind:is="component"> </component>
        </keep-alive>
        <button v-on:click="component = 'form-one'"> Show form 1 </button>
        <button v-on:click="component = 'form-two'"> Show form 2 </button>
    </div>
</template>


<script>
import formOne from "./forms/formOne.vue"
import formTwo from "./forms/formTwo.vue"


export default {
    name: "blogComponent",
    components:{
        formOne,
        formTwo
    },
    data(){
        return{
            component:"formOne"
        }
    }
}
</script>


<style>

</style>